Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.exec
Interface ET_ControlFactory

All Known Implementing Classes:
  ET_DefaultControlFactory

    public interface ET_ControlFactory

Interface of factory to be used by ExecTool to create controls over test configuring and running.

Method Summary
`java.util.List<ET_Control>` | `createCustomControls()` Creates a list of custom controls.
`ET_FilterControl` | `createFilterControl()` Creates a control over filters.
`ET_HelpControl` | `createHelpControl()` Creates a control over help.
`ET_ReportControl` | `createReportControl()` Creates a report controls.
`ET_SessionControl` | `createSessionControl()` Creates a control over session.
`ET_ViewControl` | `createViewControl()` Creates a view controls.

Method Detail

### createSessionControl

    ET_SessionControl createSessionControl()
                                           throws Session.Fault

  Creates a control over session.

  Throws:
    `Session.Fault`

### createFilterControl

    ET_FilterControl createFilterControl()

  Creates a control over filters. Due to internal reasons the returned object must be instance of ET_FilterHandler. Sorry for the inconveniences caused.

### createHelpControl

    ET_HelpControl createHelpControl()

  Creates a control over help.

### createViewControl

    ET_ViewControl createViewControl()

  Creates a view controls.

### createReportControl

    ET_ReportControl createReportControl()

  Creates a report controls.

### createCustomControls

    java.util.List<ET_Control> createCustomControls()

  Creates a list of custom controls.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.